Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 242961 - Crashes when applying unsaved changes
Summary: Crashes when applying unsaved changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-06-06 17:46 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.7.63.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-13 21:05:00 UTC


Attachments (Terms of Use)

Description Tim Waugh 2007-06-06 17:46:02 UTC
Description of problem:
Crashes with segmentation fault.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.63.1-1.fc7

How reproducible:
100%

Steps to Reproduce:
1.Create two queues.
2.With all changes saved, click the 'Shared' checkbox on one of the queues
3.Switch to the other queue
4.When asked whether to apply changes, click 'Apply'

Actual results:
Changes are applied but the application crashes.

Expected results:
No crash.

Comment 1 Tim Waugh 2007-06-07 10:27:06 UTC
Happens on FC6 too.

Comment 2 Tim Waugh 2007-06-07 12:39:56 UTC
Fixed in CVS.

Comment 3 Fedora Update System 2007-06-07 15:56:45 UTC
system-config-printer-0.7.63.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Tim Waugh 2007-06-08 08:40:09 UTC
Fix verified.

Comment 5 Fedora Update System 2007-06-11 22:03:47 UTC
system-config-printer-0.7.63.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-06-13 21:04:49 UTC
system-config-printer-0.7.63.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.